Get payment
import requests
url = "https://api.paywise.de/v2/payments/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/payments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/payments/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/payments/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/payments/{id}/ \
--header 'Authorization: Bearer <token>'{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"claim": {
"document_reference": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"your_reference": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>"
},
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"value_date": "2023-12-25",
"your_reference": "<string>"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Payments
Get payment
Read-only top-level payment collection.
GET
/
v2
/
payments
/
{id}
/
Get payment
import requests
url = "https://api.paywise.de/v2/payments/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/payments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/payments/{id}/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/payments/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/payments/{id}/ \
--header 'Authorization: Bearer <token>'{
"amount": {
"currency": "<string>",
"value": "<string>"
},
"claim": {
"document_reference": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"your_reference": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mandate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_number": "<string>"
},
"metadata": [
{
"type": "<string>",
"value": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"value_date": "2023-12-25",
"your_reference": "<string>"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
Headers
Response
Read representation of one reported payment.
